From cae428a3b28b7e92ed3ff32455621d92b1bbd528 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 05:32:43 +0000
Subject: [PATCH 744/2232] Move test of generated_header_and_cc to integration test


This test only involves the public API of the crate.

---

diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index 186e6dd..da767fa 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -28,35 +28,3 @@ pub fn generate_header_and_cc(rust_source: TokenStream, opt: Opt) -> Result<Gene
         _ => panic!("Unexpected generation"),
     }
 }
-
-#[cfg(test)]
-mod test {
-    use crate::Opt;
-    use quote::quote;
-
-    #[test]
-    fn test_positive() {
-        let rs = quote! {
-            #[cxx::bridge]
-            mod ffi {
-                extern "C" {
-                    fn in_C();
-                }
-                extern "Rust" {
-                    fn in_rs();
-                }
-            }
-        };
-        let opt = Opt::default();
-        let code = crate::generate_header_and_cc(rs, opt).unwrap();
-        assert!(code.cxx.len() > 0);
-        assert!(code.header.len() > 0);
-    }
-
-    #[test]
-    fn test_negative() {
-        let rs = quote! {};
-        let opt = Opt::default();
-        assert!(crate::generate_header_and_cc(rs, opt).is_err())
-    }
-}
diff --git a/gen/lib/tests/test.rs b/gen/lib/tests/test.rs
new file mode 100644
index 0000000..5c53628
--- /dev/null
+++ b/gen/lib/tests/test.rs
@@ -0,0 +1,28 @@
+use cxx_gen::Opt;
+use quote::quote;
+
+#[test]
+fn test_positive() {
+    let rs = quote! {
+        #[cxx::bridge]
+        mod ffi {
+            extern "C" {
+                fn in_C();
+            }
+            extern "Rust" {
+                fn in_rs();
+            }
+        }
+    };
+    let opt = Opt::default();
+    let code = cxx_gen::generate_header_and_cc(rs, opt).unwrap();
+    assert!(code.cxx.len() > 0);
+    assert!(code.header.len() > 0);
+}
+
+#[test]
+fn test_negative() {
+    let rs = quote! {};
+    let opt = Opt::default();
+    assert!(cxx_gen::generate_header_and_cc(rs, opt).is_err())
+}

